Bug 506552 - extra black block appears sometimes
extra black block appears sometimes
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-17 14:02 EDT by Tom Horsley
Modified: 2010-03-02 12:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-02 12:30:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen short of text field area with blocky corruption (2.88 KB, image/png)
2009-06-17 14:03 EDT, Tom Horsley
no flags Details
current X log file (62.14 KB, text/plain)
2009-06-17 14:04 EDT, Tom Horsley
no flags Details
Xorg.0.log file from yet another blocky corruption example (63.86 KB, text/plain)
2009-06-24 20:50 EDT, Tom Horsley
no flags Details

  None (edit)
Description Tom Horsley 2009-06-17 14:02:54 EDT
Description of problem:

I'll attach a screen shot of a Qt text field with some block-like object
at the end of the text where a vertical bar cursor would normally be.
This block just sort of randomly appears and disappears as I type
and as the focus changes in the Qt app. I haven't noticed any other kind
of garbling with the radeon driver, just in the vicinity of the text cursor
in Qt apps. Don't know what it does to irritate radeon driver in just that
one spot.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.12.2-14.fc11.x86_64

How reproducible:
Any time I type in a text field in Qt the blocks flicker on and off.

Steps to Reproduce:
1.see above
2.
3.
  
Actual results:
blocky trash

Expected results:
clean text and cursor

Additional info:
I'll attach a screen short and my X log file.
Comment 1 Tom Horsley 2009-06-17 14:03:47 EDT
Created attachment 348310 [details]
screen short of text field area with blocky corruption
Comment 2 Tom Horsley 2009-06-17 14:04:27 EDT
Created attachment 348311 [details]
current X log file
Comment 3 Tom Horsley 2009-06-17 14:25:02 EDT
Ah-HA! I just switched to the "radeonhd" driver instead of "radeon" and the
blockiness is gone. I can see what I'm typing now in the text field without
funny block appearing from time to time, so maybe that's the solution
here, just use radeonhd.
Comment 4 Tom Horsley 2009-06-24 20:50:03 EDT
Created attachment 349320 [details]
Xorg.0.log file from yet another blocky corruption example

I just had to replace the video card in my home system with
a radeon X700 Pro PCIE card (RV410) and I see the exact same kind
of blockyness in Qt app text fields. Since this isn't a radeonhd
card, switching to the radeonhd driver might not work well.

This is the xorg.0.log file from my home system.
Comment 5 Tom Horsley 2009-06-25 18:52:52 EDT
Well, it is usually black, I've seen gray as well :-). It is almost like
some random pixmap got picked to fill the area around the text cursor.
Comment 6 Tom Horsley 2009-06-25 21:14:20 EDT
Just noticed some new symptoms: If I backspace the cursor, the
black and/or gray extends backwards, following the cursor. Also
if I use the mouse to select a region in the text field, more
often than not, the whole selection is black on black.
Comment 7 Tom Horsley 2009-06-25 22:13:46 EDT
Experimented with various options from the radeon man page.

The black block and all related symptoms disappear when I add
this to xorg.conf:

	Option      "AccelMethod" "XAA"

so I guess something about Qt and EXA doesn't mix (and the man
page is apparently wrong - it claims XAA is the default, but if it
were the default, nothing would be different when I add that option).
Comment 8 Matěj Cepl 2009-11-05 13:32:27 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 9 Matěj Cepl 2010-02-26 07:23:41 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 10 Tom Horsley 2010-02-26 07:42:06 EST
Since my original report, I'm on fedora 12 now, and the funny black block
is gone (but plenty of other bugs are there to replace it :-). I have
definitely submitted bugs on the new ones.
Comment 11 Matěj Cepl 2010-03-02 12:30:56 EST
Thank you for letting us know.

Note You need to log in before you can comment on or make changes to this bug.